REM --- IMPORTANT!!!IMPORTANT!!!IMPORTANT!!!IMPORTANT!!!IMPORTANT!!!
REM --- Please COPY ZIPTEMPS.BAT as ZIPSCTDB.BAT before editing ZIPSCTDB.BAT !!!
REM --- This Backup file is to be used with the SCOUT program 
REM --- The icon for backing up should be using ZIPSCTDB.BAT
REM --- Please confirm the correct PATH for your SCOUT program folder
REM --- Please confirm the correct EDBPATH for your EXTERNAL BACKUP DRIVES 
REM --- Please confirm the correct SCTHC for your herdcode  
REM -----------------------------------------------------------------------

    SET PATH=C:\SCOUT;%PATH%
    SET EBDPATH=E:
    SET SCTHC=herdcode

REM ----------------------------------------------------------------------

 CLS
 ECHO OFF
 ECHO.
 ECHO   IMPORTANT!!! You must EXIT your SCOUT program first !!!
 ECHO   Place EXTERNAL BACKUP DRIVE in the COMPUTER DRIVE LETTER %EBDPATH% NOW !!!
 ECHO   Remember to reformat your EXTERNAL BACKUP DRIVES by running FORMAT %EBDPATH%  
 ECHO   every 3 months, to do this go to the START,--> RUN section of Windows !!!
 ECHO.
 PAUSE

:SINGLE
REM ----S-C-O-U-T---C-O-W-F-I-L-E---O-N-L-Y-!-!-!-------B-E-G-I-N-------*
REM --- This section is for SCOUT PROGRAMS only 
REM ----------------------------------------------------------------------

    MOVE %SCTHC%.ZP2 %SCTHC%.ZP3
    MOVE %SCTHC%.ZP1 %SCTHC%.ZP2
    MOVE %SCTHC%.ZIP %SCTHC%.ZP1

    PKZIP -ES -= %SCTHC% cow*.dat cow*.arc sem*.dat dcsetup.* *.def 
    
    COPY C:\SCOUT\%SCTHC%.ZIP %EBDPATH%\ /V

    MD %EBDPATH%\SCOUT
    MD %EBDPATH%\DCPICS
REM MD %EBDPATH%\DrugWatch

    XCOPY C:\SCOUT\*.* %EBDPATH%\SCOUT\*.* /Y /D
    XCOPY C:\DCPICS\*.* %EBDPATH%\DCPICS\*.* /Y /D
REM XCOPY C:\DrugWatch\*.* %EBDPATH%\DrugWatch\*.* /Y /D /S
 
goto DONE

REM -----S-C-O-U-T---C-O-W-F-I-L-E--O-N-L-Y-!-!-!------E-N-D-I-N-G-------*



:DONE
REM ------------------------------------------------------------------*****

 CLS
 PKUNZIP -T %EBDPATH%\*.zip > ZIPTEST.LOG
 IF ERRORLEVEL 1 GOTO PROBLEM
 PKUNZIP -T %EBDPATH%\*.zip 

 ECHO.
 ECHO  This is a Test of the Zipped Herd File on the EXTERNAL BACKUP DRIVE
 ECHO  Press ENTER key to continue !!!
 ECHO.
 PAUSE

 CLS
 PKUNZIP -V %EBDPATH%\*.ZIP > ZIPVIEW.LOG
 PKUNZIP -V %EBDPATH%\*.ZIP 
 ECHO.
 ECHO  Check the Dates for Cowfile1.DAT and other important files
 ECHO  Remember to reformat your EXTERNAL BACKUP DRIVES every 3 months !!!
 ECHO.
 PAUSE
 GOTO NOPROBLEM

:PROBLEM
 PKUNZIP -T %EBDPATH%\*.zip > ZIPERROR.LOG
 COPY ZIPERROR.LOG PRN

:NOPROBLEM
 ECHO    VERIFY YOUR BACKUPS AND LOGS
